using System.Text.Json;

namespace Front.Program.Models
{
    public class APIResponseStatus<T>
    {
        public Status status { get; set; }
        public T? data { get; set; }
    
        public string JsonToString()
        {
            return JsonSerializer.Serialize(this);
        }
    }

    public class Status
    {
        public string code { get; set; }
        public string message { get; set; }

    }

    public class AppHeader
    {
        public string type { get; set; }
        public string specific { get; set; }
        public string project { get; set; }
    }
    
    
    
}